Package org.pushingpixels.substance.api.painter.fill

# Class FractionBasedFillPainter

java.lang.Object
org.pushingpixels.substance.api.painter.FractionBasedPainter
org.pushingpixels.substance.api.painter.fill.FractionBasedFillPainter

All Implemented Interfaces:
  `SubstanceFillPainter`, `SubstanceTrait`

public class FractionBasedFillPainter extends FractionBasedPainter implements SubstanceFillPainter
Fill painter with fraction-based stops and a color query associated with each stop. This class allows creating multi-gradient fills with exact control over which color is used at every gradient control point.

## Field Summary

### Fields inherited from class org.pushingpixels.substance.api.painter.FractionBasedPainter

`colorQueries, fractions`

## Constructor Summary

Constructors
Constructor
Description
`FractionBasedFillPainter(String displayName, float[] fractions, ColorSchemeSingleColorQuery[] colorQueries)`
Creates a new fraction-based fill painter.

## Method Summary

Modifier and Type
Method
Description
`void`
`paintContourBackground(Graphics g, Component comp, int width, int height, Shape contour, boolean isFocused, SubstanceColorScheme fillScheme, boolean hasShine)`
Fills the contour that matches the specified parameters.

### Methods inherited from class org.pushingpixels.substance.api.painter.FractionBasedPainter

`getColorQueries, getDisplayName, getFractions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pushingpixels.substance.api.trait.SubstanceTrait

`getDisplayName`

## Constructor Details

### FractionBasedFillPainter

public FractionBasedFillPainter(String displayName, float[] fractions, ColorSchemeSingleColorQuery[] colorQueries)
Creates a new fraction-based fill painter.

Parameters:
  `displayName` - The display name of this painter.
  `fractions` - The fractions of this painter. Must be strictly increasing, starting from 0.0 and ending at 1.0.
  `colorQueries` - The color queries of this painter. Must have the same size as the fractions array, and all entries must be non- `null`.

## Method Details

### paintContourBackground

public void paintContourBackground(Graphics g, Component comp, int width, int height, Shape contour, boolean isFocused, SubstanceColorScheme fillScheme, boolean hasShine)
Description copied from interface: `SubstanceFillPainter`
Fills the contour that matches the specified parameters.

Specified by:
  `paintContourBackground` in interface `SubstanceFillPainter`
Parameters:
  `g` - Graphics context.
  `comp` - Component to paint.
  `width` - Width of a UI component.
  `height` - Height of a UI component.
  `contour` - Contour of a UI component.
  `isFocused` - Indication whether component owns the focus.
  `fillScheme` - The fill color scheme.
  `hasShine` - Indication whether the returned image should have a 3D shine spot in its top half.